
/**
 * @author HoldFast
 */
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Timer;
import java.util.TimerTask;
import javax.microedition.io.Connector;
import javax.microedition.io.file.FileConnection;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.Gauge;
import javax.microedition.midlet.*;

public class Midlet extends MIDlet implements CommandListener {

    private static Command exit = new Command("Выход", Command.EXIT, 0);
    private static Command back = new Command("Назад", Command.BACK, 0);
    private static Command record = new Command("Запись", Command.OK, 0);
    public static Timer timer = new Timer();
    public static TimerTask task = new Task();
    public static Form resultForm = new Form("Результат");
    public static Form uploadForm = new Form("Обработка...");
    private static Form recordForm = new Form("Запись..");
    private static Form mainForm = new Form("SongRecognizer");
    public static Gauge progress = new Gauge(null, false, 10, 0);
    public static Display mainDisplay;


    public Midlet() {

        mainDisplay = Display.getDisplay(this);
        mainForm.addCommand(exit);
        mainForm.addCommand(record);

        mainForm.append("Поднесите телефон к источнику музыки и нажмите \"Запись\"\n");
        mainForm.append("Запись звука будет длиться 10 секунд\n");
        mainForm.append("Программа лучше всего распознаёт зарубежную музыку\n");
        mainForm.append("Автор: HoldFast");
        mainForm.setCommandListener(this);

        recordForm.addCommand(exit);
        recordForm.append("Идёт запись..");
        recordForm.append(progress);
        recordForm.setCommandListener(this);

        uploadForm.append("Подождите, данные обрабатываются...");
        uploadForm.addCommand(exit);
        uploadForm.setCommandListener(this);

        resultForm.addCommand(exit);
        resultForm.addCommand(back);
        resultForm.setCommandListener(this);

    }

    public void startApp() {
        mainDisplay.setCurrent(mainForm);
    }

    public void pauseApp() {
    }

    public void destroyApp(boolean unconditional) {
    }

    public void commandAction(Command c, Displayable d) {
        if (c == exit) {
            notifyDestroyed();
        }
        if (c == record) {
            Record.record();
            resultForm.deleteAll();
            mainDisplay.setCurrent(recordForm);
        }
        if (c == back) {
            mainDisplay.setCurrent(mainForm);
        }
    }
}
