
/**
 * @author HoldFast
 */
import java.io.ByteArrayOutputStream;
import javax.microedition.media.Manager;
import javax.microedition.media.Player;
import javax.microedition.media.control.RecordControl;

public class Record {

    private static Player player;
    private static ByteArrayOutputStream output;
    private static RecordControl rc;

    public static void record() {
        try {
            if (player != null) {
                output = null;
                player.close();
                player = null;
            }
            player = Manager.createPlayer("capture://audio?encoding=amr");
            player.realize();
            rc = (RecordControl) player.getControl("RecordControl");
            output = new ByteArrayOutputStream();
            rc.setRecordStream(output);
            rc.startRecord();
            player.start();
            Midlet.progress.setValue(0);
            Midlet.timer.schedule(Midlet.task, 0, 1000);
        } catch (Exception ex) {
            try {
                if (player != null) {
                    output = null;
                    player.close();
                    player = null;
                }
                player = Manager.createPlayer("capture://audio");
                player.realize();
                rc = (RecordControl) player.getControl("RecordControl");
                output = new ByteArrayOutputStream();
                rc.setRecordStream(output);
                rc.startRecord();
                player.start();
                Midlet.progress.setValue(0);
                Midlet.timer.schedule(Midlet.task, 0, 1000);
            } catch (Exception exx) {
            }
        }
    }

    public static byte[] stop() {
        try {
            if (rc != null) {
                rc.stopRecord();
                rc.commit();
            }
            if (output != null) {
                output.flush();
                output.close();
            }
            if (player != null) {
                player.stop();
                player.close();
            }
            rc = null;
            player = null;
            return output.toByteArray();
        } catch (Exception ex) {
            return null;
        }

    }
}
